Package org.apache.cxf.io

## Class DelayedCachedOutputStreamCleaner

- java.lang.Object
- - org.apache.cxf.io.DelayedCachedOutputStreamCleaner

- All Implemented Interfaces:
    `BusLifeCycleListener`, `CachedOutputStreamCleaner`

      public final class DelayedCachedOutputStreamCleaner
      extends Object
      implements CachedOutputStreamCleaner, BusLifeCycleListener

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DelayedCachedOutputStreamCleaner()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clean()` | Run the clean up
    `void` | `forceClean()` |
    `void` | `initComplete()` | Invoked when the `Bus` has been initialized.
    `void` | `postShutdown()` | Invoked after the `Bus` is shutdown.
    `void` | `preShutdown()` | Invoked before the `Bus` is shutdown.
    `void` | `register​(Closeable closeable)` | Unregister the stream instance from the clean up (closed properly)
    `void` | `setBus​(Bus bus)` |
    `void` | `unregister​(Closeable closeable)` | Register the stream instance for the clean up

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelayedCachedOutputStreamCleaner

          public DelayedCachedOutputStreamCleaner()

  - ### Method Detail

    - #### setBus

          public void setBus​(Bus bus)

    - #### register

          public void register​(Closeable closeable)

      Description copied from interface: `CachedOutputStreamCleaner`
      Unregister the stream instance from the clean up (closed properly)
      Specified by:
        `register` in interface `CachedOutputStreamCleaner`

    - #### unregister

          public void unregister​(Closeable closeable)

      Description copied from interface: `CachedOutputStreamCleaner`
      Register the stream instance for the clean up
      Specified by:
        `unregister` in interface `CachedOutputStreamCleaner`

    - #### clean

          public void clean()

      Description copied from interface: `CachedOutputStreamCleaner`
      Run the clean up
      Specified by:
        `clean` in interface `CachedOutputStreamCleaner`

    - #### initComplete

          public void initComplete()

      Description copied from interface: `BusLifeCycleListener`
      Invoked when the `Bus` has been initialized.
      Specified by:
        `initComplete` in interface `BusLifeCycleListener`

    - #### postShutdown

          public void postShutdown()

      Description copied from interface: `BusLifeCycleListener`
      Invoked after the `Bus` is shutdown.
      Specified by:
        `postShutdown` in interface `BusLifeCycleListener`

    - #### preShutdown

          public void preShutdown()

      Description copied from interface: `BusLifeCycleListener`
      Invoked before the `Bus` is shutdown.
      Specified by:
        `preShutdown` in interface `BusLifeCycleListener`

    - #### forceClean

          public void forceClean()